Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.frameworks.taskwizard
Class CompoundTask

    java.lang.Object
      org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
          org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask

All Implemented Interfaces:
  ITask

Direct Known Subclasses:
  TreeCompoundTask

    public class CompoundTask

extends SimpleTask

Field Summary
`protected ISubtaskSheet` | `sCurrentTaskSheet`

Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
`container, context, topControl`

Constructor Summary
`CompoundTask(java.lang.String title)`

Method Summary
`void` | `addSubtask(java.lang.String sSubtaskPath, ISubtaskSheet subtask)`
`protected boolean` | `containSubtask(java.lang.String sSubtaskPath)`
`void` | `dispose()`
`protected ISubtaskSheet` | `getCurrentSubtask()`
`protected ISubtaskSheet` | `getSubtask(java.lang.String sSubtaskPath)`
`void` | `removeSubtask(java.lang.String sSubtaskPath)`
`void` | `switchTo(java.lang.String sSubtaskPath)`

Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
`addError, createControl, getContext, getControl, getDescription, getErrorMessage, getErrors, getImage, getMessage, getTitle, performHelp, removeError, setContext, setDescription, setErrorHints, setImageDescriptor, setTitle, setUIProvider, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sCurrentTaskSheet

    protected transient ISubtaskSheet sCurrentTaskSheet

Constructor Detail

### CompoundTask

    public CompoundTask(java.lang.String title)

Method Detail

### addSubtask

    public void addSubtask(java.lang.String sSubtaskPath,
                           ISubtaskSheet subtask)

### removeSubtask

    public void removeSubtask(java.lang.String sSubtaskPath)

### switchTo

    public void switchTo(java.lang.String sSubtaskPath)

### containSubtask

    protected boolean containSubtask(java.lang.String sSubtaskPath)

### getSubtask

    protected ISubtaskSheet getSubtask(java.lang.String sSubtaskPath)

### getCurrentSubtask

    protected ISubtaskSheet getCurrentSubtask()

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `SimpleTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.